<?php
/**
 * Class Assets
 */

namespace Octolize\Shipping\CostOnProductPage;

use OctolizeShippingCostOnProductPageVendor\WPDesk\PluginBuilder\Plugin\Hookable;

/**
 * .
 */
class Assets implements Hookable {
	public const HANDLE = 'octolize-shipping-cost-on-product-page';

	/**
	 * @var string
	 */
	private $assets_url;

	/**
	 * @var string
	 */
	private $scripts_version;

	/**
	 * @param string $assets_url .
	 */
	public function __construct( string $assets_url, string $scripts_version ) {
		$this->assets_url      = $assets_url;
		$this->scripts_version = $scripts_version;
	}

	/**
	 * @return void
	 */
	public function hooks(): void {
		add_action( 'wp_enqueue_scripts', [ $this, 'register_scripts' ] );
	}

	/**
	 * @return void
	 */
	public function register_scripts(): void {
		wp_register_style( self::HANDLE, $this->assets_url . 'dist/app.css', [], $this->scripts_version );
		wp_register_script( self::HANDLE, $this->assets_url . 'dist/app.js', [ 'jquery', 'jquery-blockui' ], $this->scripts_version, true );

		wp_localize_script(
			self::HANDLE,
			'__jsOctolizeCostOnProductPage',
			[
				'ajax_url' => add_query_arg( 'action', CalculatorAjaxAction::ACTION, admin_url( 'admin-ajax.php' ) ),
			]
		);
	}
}
