<?php
/**
 * @var WC_Shipping_Rate[] $methods               .
 * @var string             $formatted_destination .
 * @var WC_Countries       $countries             .
 * @var WC_Customer        $customer              .
 */

defined( 'ABSPATH' ) || exit;
?>

<div class="scpp-shipping-calculator-container js--scpp-shipping-calculator-container">
	<a href="#0" class="scpp-calculator-open-button js--scpp-calculator-open-button">
		<?php esc_html_e( 'Calculate shipping price', 'octolize-shipping-cost-on-product-page' ); ?>
	</a>

	<div class="scpp-results-container js--scpp-results-container"></div>

	<div class="scpp-calculator-container js--scpp-calculator-container">
		<p><?php esc_html_e( 'Please fill in the fields below with the shipping destination details in order to calculate the shipping cost.', 'octolize-shipping-cost-on-product-page' ); ?></p>

			<select name="calc_shipping_country" id="calc_shipping_country" class="country_to_state country_select" rel="calc_shipping_state">
				<option value="default"><?php esc_html_e( 'Select a country / region&hellip;', 'octolize-shipping-cost-on-product-page' ); ?></option>
				<?php
				foreach ( $countries->get_shipping_countries() as $key => $value ) {
					echo '<option value="' . esc_attr( $key ) . '"' . selected( $customer->get_shipping_country(), esc_attr( $key ), false ) . '>' . esc_html( $value ) . '</option>';
				}
				?>
			</select>

			<input type="text" class="input-text" value="<?php echo esc_attr( $customer->get_shipping_city() ); ?>" placeholder="<?php esc_attr_e( 'City', 'octolize-shipping-cost-on-product-page' ); ?>" name="calc_shipping_city" id="calc_shipping_city"/>

			<input type="text" class="input-text" value="<?php echo esc_attr( $customer->get_shipping_postcode() ); ?>" placeholder="<?php esc_attr_e( 'Postcode / ZIP', 'octolize-shipping-cost-on-product-page' ); ?>" name="calc_shipping_postcode" id="calc_shipping_postcode"/>

		<div>
			<a href="#0" class="scpp-calculate-button js--scpp-calculate-button"><?php esc_html_e( 'Calculate', 'octolize-shipping-cost-on-product-page' ); ?></a>
		</div>
	</div>
</div>
